/**************************************************************************************
SHERICAL SUDOKU PROJECT GAME FILE
Game Name     : Fantasy
Version       : 1.0
Programmer    : Fahri Aydos (www.aydos.net)
First Version : 2006 05 08
Last Version  : 2006 05 08
---------------------------------------------------------------------------------------
Spherical Sudoku Copyright 2006 by Fahri Aydos
http://sudoku.aydos.net - spherical sudoku official website
---------------------------------------------------------------------------------------
This file is freeware...
You may copy, modify, use and distribute this software,
provided that you do not change this header and include it in all such copies.
**************************************************************************************/

/**************************************************************************************
VERSION HISTORY
version 1.0, 2006 05 08
**************************************************************************************/

function start_new_game() {
	var i, r, x, y, z;
	if (gamestat==1)
		return;
	init_table();
	gamestat = 1;
	r = 33;
	for(i=0;i<r;i++) {
		x = Math.floor(Math.random()*10)%9+1;
		rotate("r",x);
	}
	gamestat = 2;
	fill_table();
	return false;
}

function write_table() {
	var i, j;
	document.write('<table class=sdk>');
	for (i=1;i<=9;i++) {
		document.write('<tr>');
		di = i%3?i%3:3;
		for (j=1;j<=9;j++) {
			dj = j%3?j%3:3;
			k = di*3+dj-3;
			document.write('<td id="t'+i+j+'" class="bdr'+k+'">');
			document.write('<input id=box'+i+j+' class=box readonly>');
			document.write('</td>');
		}
		document.write('</tr>');
	}
	document.write('</table>');
	document.write('<br>');
	document.write('<table><tr><td>');
	document.write('<table class=sdk>');
	for (i=1;i<=3;i++) {
		document.write('<tr>');
		for (j=1;j<=3;j++) {
			k = i*3+j-3;
			document.write('<td class="bdr'+k+'">');
			document.write('<input name=btnl'+k+' type=image src="l.gif" onclick="btnclick(this);">');
			document.write('</td>');
		}
		document.write('</tr>');
	}
	document.write('</table>');
	document.write('</td><td>&nbsp;&nbsp;&nbsp;');
	document.write('</td><td>');
	document.write('<table class=sdk>');
	for (i=1;i<=3;i++) {
		document.write('<tr>');
		for (j=1;j<=3;j++) {
			k = i*3+j-3;
			document.write('<td class="bdr'+k+'">');
			document.write('<input name=btnr'+k+' type=image src="r.gif" onclick="btnclick(this);">');
			document.write('</td>');
		}
		document.write('</tr>');
	}
	document.write('</table>');
	document.write('</td></tr></table>');
}

function rotate(a,b) {
/*	b1 = Math.ceil(b/3)*3-2;
	b2 = Math.ceil(b/3)*3-1;
	b3 = Math.ceil(b/3)*3;
	c1 = ((b%3)?(b%3):3)*3-2;
	c2 = ((b%3)?(b%3):3)*3-1;
	c3 = ((b%3)?(b%3):3)*3;
*/
	b1 = Math.ceil(b/3);
	b2 = Math.ceil(b/3)+3;
	b3 = Math.ceil(b/3)+6;
	c1 = ((b%3)?(b%3):3);
	c2 = ((b%3)?(b%3):3)+3;
	c3 = ((b%3)?(b%3):3)+6;
	if(a=="r") {
		s = sudoku[b3][c3];
		sudoku[b3][c3] = sudoku[b3][c2];
		sudoku[b3][c2] = sudoku[b3][c1];
		sudoku[b3][c1] = sudoku[b2][c3];
		sudoku[b2][c3] = sudoku[b2][c2];
		sudoku[b2][c2] = sudoku[b2][c1];
		sudoku[b2][c1] = sudoku[b1][c3];
		sudoku[b1][c3] = sudoku[b1][c2];
		sudoku[b1][c2] = sudoku[b1][c1];
		sudoku[b1][c1] = s;
	}
	if(a=="l") {
		s = sudoku[b1][c1];
		sudoku[b1][c1] = sudoku[b1][c2];
		sudoku[b1][c2] = sudoku[b1][c3];
		sudoku[b1][c3] = sudoku[b2][c1];
		sudoku[b2][c1] = sudoku[b2][c2];
		sudoku[b2][c2] = sudoku[b2][c3];
		sudoku[b2][c3] = sudoku[b3][c1];
		sudoku[b3][c1] = sudoku[b3][c2];
		sudoku[b3][c2] = sudoku[b3][c3];
		sudoku[b3][c3] = s;
	}
	fill_table();
}

function btnclick(btn) {
	var a, b;
	a = String(btn.name).substring(3,4);
	b = String(btn.name).substring(4,5);
	rotate(a,b);
}